diff -urN punbb-1.3.4/include/functions.php punbb-1.3.6/include/functions.php
--- punbb-1.3.4/include/functions.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/include/functions.php	2011-09-19 06:35:43.557425000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads common functions used throughout the site.
  *
- * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -404,6 +404,8 @@
 	if ($type == FORUM_FT_DATETIME || $type == FORUM_FT_TIME)
 		$formatted_time .= gmdate($time_format, $timestamp);
 
+	($hook = get_hook('fn_format_time_end')) ? eval($hook) : null;
+
 	return $formatted_time;
 }
 
@@ -555,10 +557,18 @@
 
 
 // Generate a string with numbered links (for multipage scripts)
-function paginate($num_pages, $cur_page, $link, $separator, $args = null)
+function paginate($num_pages, $cur_page, $link, $separator, $args = null, $is_default_scheme = null)
 {
 	global $forum_url, $lang_common;
 
+	if ($is_default_scheme == null)
+		$forum_url_page = $forum_url['page'];
+	else
+	{
+		$forum_url_page = '&amp;p=$1';
+		unset($forum_url['insertion_find']);
+	}
+
 	$pages = array();
 	$link_to_all = false;
 
@@ -574,16 +584,16 @@
 	}
 
 	if ($num_pages <= 1)
-		$pages = array('<strong class="first-item">1</strong>');
+		$pages = array('<strong class="first-item">'.forum_number_format(1).'</strong>');
 	else
 	{
 		// Add a previous page link
 		if ($num_pages > 1 && $cur_page > 1)
-			$pages[] = '<a'.(empty($pages) ? ' class="first-item"' : '').' href="'.forum_sublink($link, $forum_url['page'], ($cur_page - 1), $args).'">'.$lang_common['Previous'].'</a>';
+			$pages[] = '<a'.(empty($pages) ? ' class="first-item"' : '').' href="'.forum_sublink($link, $forum_url_page, ($cur_page - 1), $args).'">'.$lang_common['Previous'].'</a>';
 
 		if ($cur_page > 3)
 		{
-			$pages[] = '<a'.(empty($pages) ? ' class="first-item"' : '').' href="'.forum_sublink($link, $forum_url['page'], 1, $args).'">1</a>';
+			$pages[] = '<a'.(empty($pages) ? ' class="first-item"' : '').' href="'.forum_sublink($link, $forum_url_page, 1, $args).'">'.forum_number_format(1).'</a>';
 
 			if ($cur_page > 5)
 				$pages[] = '<span>'.$lang_common['Spacer'].'</span>';
@@ -594,7 +604,7 @@
 			if ($current < 1 || $current > $num_pages)
 				continue;
 			else if ($current != $cur_page || $link_to_all)
-				$pages[] = '<a'.(empty($pages) ? ' class="first-item" ' : '').' href="'.forum_sublink($link, $forum_url['page'], $current, $args).'">'.forum_number_format($current).'</a>';
+				$pages[] = '<a'.(empty($pages) ? ' class="first-item" ' : '').' href="'.forum_sublink($link, $forum_url_page, $current, $args).'">'.forum_number_format($current).'</a>';
 			else
 				$pages[] = '<strong'.(empty($pages) ? ' class="first-item"' : '').'>'.forum_number_format($current).'</strong>';
 
@@ -603,12 +613,12 @@
 			if ($cur_page != ($num_pages-3) && $cur_page != ($num_pages-4))
 				$pages[] = '<span>'.$lang_common['Spacer'].'</span>';
 
-			$pages[] = '<a'.(empty($pages) ? ' class="first-item" ' : '').' href="'.forum_sublink($link, $forum_url['page'], $num_pages, $args).'">'.forum_number_format($num_pages).'</a>';
+			$pages[] = '<a'.(empty($pages) ? ' class="first-item" ' : '').' href="'.forum_sublink($link, $forum_url_page, $num_pages, $args).'">'.forum_number_format($num_pages).'</a>';
 		}
 
 		// Add a next page link
 		if ($num_pages > 1 && !$link_to_all && $cur_page < $num_pages)
-			$pages[] = '<a'.(empty($pages) ? ' class="first-item" ' : '').' href="'.forum_sublink($link, $forum_url['page'], ($cur_page + 1), $args).'">'.$lang_common['Next'].'</a>';
+			$pages[] = '<a'.(empty($pages) ? ' class="first-item" ' : '').' href="'.forum_sublink($link, $forum_url_page, ($cur_page + 1), $args).'">'.$lang_common['Next'].'</a>';
 	}
 
 	($hook = get_hook('fn_paginate_end')) ? eval($hook) : null;
@@ -749,7 +759,7 @@
 	global $forum_config, $forum_user;
 	static $lang_url_replace, $forum_reserved_strings;
 
-	if (!isset($lang_replace))
+	if (!isset($lang_url_replace))
 		require FORUM_ROOT.'lang/'.$forum_user['language'].'/url_replace.php';
 
 	if (!isset($forum_reserved_strings))
@@ -772,6 +782,8 @@
 	foreach ($forum_reserved_strings as $match => $replace)
 		if ($str == $match)
 			return $replace;
+		else if ($match != '')
+			$str = str_replace($match, $replace, $str);
 
 	return $str;
 }
@@ -937,7 +949,7 @@
 function get_scheme_packs()
 {
   	$schemes = array();
-	
+
 	if($handle = opendir(FORUM_ROOT.'include/url'))
 	{
 		while (false !== ($dirname = readdir($handle)))
@@ -959,7 +971,7 @@
 function get_style_packs()
 {
 	$styles = array();
-	
+
 	if($handle = opendir(FORUM_ROOT.'style'))
 	{
 		while (false !== ($dirname = readdir($handle)))
@@ -1457,6 +1469,9 @@
 		if ($cur_ban['username'] != '' && utf8_strtolower($forum_user['username']) == utf8_strtolower($cur_ban['username']))
 			$is_banned = true;
 
+		if ($cur_ban['email'] != '' && $forum_user['email'] == $cur_ban['email'])
+			$is_banned = true;
+
 		if ($cur_ban['ip'] != '')
 		{
 			$cur_ban_ips = explode(' ', $cur_ban['ip']);
@@ -1539,7 +1554,7 @@
 		else
 		{
 			// If the entry is older than "o_timeout_visit", update last_visit for the user in question, then delete him/her from the online list
-			if ($cur_user['idle'] != '0')
+			if ($cur_user['logged'] < ($now - $forum_config['o_timeout_visit']))
 			{
 				$query = array(
 					'UPDATE'	=> 'users',
@@ -2657,7 +2672,7 @@
 		<div class="ct-box info-box">
 			<p><?php echo $lang_common['CSRF token mismatch'] ?></p>
 		</div>
-		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo $forum_page['form_action'] ?>">
+		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_htmlencode($forum_page['form_action']) ?>">
 			<div class="hidden">
 				<?php echo implode("\n\t\t\t\t", $forum_page['hidden_fields'])."\n" ?>
 			</div>
@@ -2777,15 +2792,10 @@
 
 
 	// START SUBST - <!-- forum_head -->
+
 	ob_start();
 
-?>
-<title><?php echo $lang_common['Maintenance'].$lang_common['Title separator'].forum_htmlencode($forum_config['o_board_title']) ?></title>
-<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $base_url ?>/style/<?php echo $forum_user['style'] ?>/<?php echo $forum_user['style'].'.css' ?>" />
-<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $base_url ?>/style/<?php echo $forum_user['style'] ?>/<?php echo $forum_user['style'].'_cs.css' ?>" />
-<!--[if lte IE 6]><link rel="stylesheet" type="text/css" href="<?php echo $base_url ?>/style/<?php echo $forum_user['style'] ?>/<?php echo $forum_user['style'].'_fix.css' ?>" /><![endif]-->
-<!--[if IE 7]><link rel="stylesheet" type="text/css" href="<?php echo $base_url ?>/style/<?php echo $forum_user['style'] ?>/<?php echo $forum_user['style'].'_fix7.css' ?>" /><![endif]-->
-<?php
+	require FORUM_ROOT.'style/'.$forum_user['style'].'/'.$forum_user['style'].'.php';
 
 	$tpl_temp = forum_trim(ob_get_contents());
 	$tpl_maint = str_replace('<!-- forum_head -->', $tpl_temp, $tpl_maint);
@@ -2797,8 +2807,6 @@
 	ob_start();
 
 ?>
-<div id="brd-maint" class="main basic">
-
 	<div class="main-head">
 		<h1 class="hn"><span><?php echo $lang_common['Maintenance mode'] ?></span></h1>
 	</div>
@@ -2807,8 +2815,6 @@
 			<?php echo $message."\n" ?>
 		</div>
 	</div>
-
-</div>
 <?php
 
 	$tpl_temp = "\t".forum_trim(ob_get_contents());
@@ -3064,3 +3070,9 @@
 
 	exit;
 }
+
+// Check the text is CAPSED
+function check_is_all_caps($text)
+{
+	return (bool)/**/(utf8_strtoupper($text) == $text && utf8_strtolower($text) != $text);
+}
\ No newline at end of file
diff -urN punbb-1.3.4/include/parser.php punbb-1.3.6/include/parser.php
--- punbb-1.3.4/include/parser.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/include/parser.php	2010-04-02 10:28:23.918883000 +0000
@@ -44,11 +44,11 @@
 		if (strpos($text, '[code]') !== false && strpos($text, '[/code]') !== false)
 		{
 			list($inside, $outside) = split_text($text, '[code]', '[/code]', $errors);
-			$text = implode("\0", $outside);
+			$text = implode("\xc1", $outside);
 		}
 
 		// Tidy up lists
-		$pattern = array('/\[list(?:=([1a\*]))?\]((?>(?:(?!\[list(?:=(?:[1a\*]))\]|\[\/list\]).+?)|(?R))*)\[\/list\]/ems');
+		$pattern = array('%\[list(?:=([1a*]))?+\]((?:(?>.*?(?=\[list(?:=[1a*])?+\]|\[/list\]))|(?R))*)\[/list\]%ise');
 		$replace = array('preparse_list_tag(\'$2\', \'$1\', $errors)');
 		$text = preg_replace($pattern, $replace, $text);
 
@@ -60,7 +60,7 @@
 		// If we split up the message before we have to concatenate it together again (code tags)
 		if (isset($inside))
 		{
-			$outside = explode("\0", $text);
+			$outside = explode("\xc1", $text);
 			$text = '';
 
 			$num_tokens = count($outside);
@@ -520,7 +520,7 @@
 
 	if (strpos($content,'[list') !== false)
 	{
-		$pattern = array('/\[list(?:=([1a\*]))?\]((?>(?:(?!\[list(?:=(?:[1a\*]))\]|\[\/list\]).+?)|(?R))*)\[\/list\]/ems');
+		$pattern = array('%\[list(?:=([1a*]))?+\]((?:(?>.*?(?=\[list(?:=[1a*])?+\]|\[/list\]))|(?R))*)\[/list\]%ise');
 		$replace = array('preparse_list_tag(\'$2\', \'$1\', $errors)');
 		$content = preg_replace($pattern, $replace, $content);
 	}
@@ -592,7 +592,7 @@
 
 	// Ok, not very pretty :-)
 	if (!$bbcode)
-		$link = ($link == '' || $link == $url) ? ((utf8_strlen($url) > 55) ? utf8_substr($url, 0 , 39).' &#133; '.utf8_substr($url, -10) : $url) : stripslashes($link);
+		$link = ($link == '' || $link == $url) ? ((utf8_strlen($url) > 55) ? utf8_substr($url, 0 , 39).' … '.utf8_substr($url, -10) : $url) : stripslashes($link);
 
 	$return = ($hook = get_hook('ps_handle_url_tag_end')) ? eval($hook) : null;
 	if ($return != null)
@@ -649,7 +649,7 @@
 
 	if (strpos($content,'[list') !== false)
 	{
-		$pattern = array('/\[list(?:=([1a\*]))?\]((?>(?:(?!\[list(?:=(?:[1a\*]))\]|\[\/list\]).+?)|(?R))*)\[\/list\]/ems');
+		$pattern = array('%\[list(?:=([1a*]))?+\]((?:(?>.*?(?=\[list(?:=[1a*])?+\]|\[/list\]))|(?R))*)\[/list\]%ise');
 		$replace = array('handle_list_tag(\'$2\', \'$1\')');
 		$content = preg_replace($pattern, $replace, $content);
 	}
@@ -688,7 +688,7 @@
 
 	if (!$is_signature)
 	{
-		$pattern[] = '/\[list(?:=([1a\*]))?\]((?>(?:(?!\[list(?:=(?:[1a\*]))\]|\[\/list\]).+?)|(?R))*)\[\/list\]/ems';
+		$pattern[] = '%\[list(?:=([1a*]))?+\]((?:(?>.*?(?=\[list(?:=[1a*])?+\]|\[/list\]))|(?R))*)\[/list\]%ise';
 		$replace[] = 'handle_list_tag(\'$2\', \'$1\')';
 	}
 
@@ -752,7 +752,7 @@
 {
 	$text = ' '.$text;
 
-	$text = preg_replace('#(?<=[\s\]\)])(<)?(\[)?(\()?([\'"]?)(https?|ftp|news){1}://([\w\-]+\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^\s\[]*[^\s.,?!\[;:-]?)?)\4(?(3)(\)))(?(2)(\]))(?(1)(>))(?![^\s]*\[/(?:url|img)\])#ie', 'stripslashes(\'$1$2$3$4\').handle_url_tag(\'$5://$6\', \'$5://$6\', true).stripslashes(\'$4$10$11$12\')', $text);
+	$text = preg_replace('#(?<=[\s\]\)])(<)?(\[)?(\()?([\'"]?)(https?|ftp|news){1}://([\w\-]+\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^\s\[]*[^\s.,?!\[;:-])?)\4(?(3)(\)))(?(2)(\]))(?(1)(>))(?![^\s]*\[/(?:url|img)\])#ie', 'stripslashes(\'$1$2$3$4\').handle_url_tag(\'$5://$6\', \'$5://$6\', true).stripslashes(\'$4$10$11$12\')', $text);
 	$text = preg_replace('#(?<=[\s\]\)])(<)?(\[)?(\()?([\'"]?)(www|ftp)\.(([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^\s\[]*[^\s.,?!\[;:-])?)\4(?(3)(\)))(?(2)(\]))(?(1)(>))(?![^\s]*\[/(?:url|img)\])#ie', 'stripslashes(\'$1$2$3$4\').handle_url_tag(\'$5.$6\', \'$5.$6\', true).stripslashes(\'$4$10$11$12\')', $text);
 
 	return substr($text, 1);
@@ -813,7 +813,7 @@
 	if (strpos($text, '[code]') !== false && strpos($text, '[/code]') !== false)
 	{
 		list($inside, $outside) = split_text($text, '[code]', '[/code]', $errors);
-		$text = implode("\0", $outside);
+		$text = implode("\xc1", $outside);
 	}
 
 	$return = ($hook = get_hook('ps_parse_message_post_split')) ? eval($hook) : null;
@@ -842,7 +842,7 @@
 	// If we split up the message before we have to concatenate it together again (code tags)
 	if (isset($inside))
 	{
-		$outside = explode("\0", $text);
+		$outside = explode("\xc1", $text);
 		$text = '';
 
 		$num_tokens = count($outside);
diff -urN punbb-1.3.4/include/url/Default/forum_urls.php punbb-1.3.6/include/url/Default/forum_urls.php
--- punbb-1.3.4/include/url/Default/forum_urls.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/include/url/Default/forum_urls.php	2011-03-15 15:15:48.808748000 +0000
@@ -79,7 +79,7 @@
 	'unstick'						=>	'moderate.php?fid=$1&amp;unstick=$2&amp;csrf_token=$3',
 	'moderate_topic'				=>	'moderate.php?fid=$1&amp;tid=$2',
 	'admin_index'					=>	'admin/index.php',
-	'admin_bans'					=>	'admin/bans.php',
+	'admin_bans'					=>	'admin/bans.php?sort_by=1',
 	'admin_categories'				=>	'admin/categories.php',
 	'admin_censoring'				=>	'admin/censoring.php',
 	'admin_extensions_manage'		=>	'admin/extensions.php?section=manage',
diff -urN punbb-1.3.4/include/url/File_based/forum_urls.php punbb-1.3.6/include/url/File_based/forum_urls.php
--- punbb-1.3.4/include/url/File_based/forum_urls.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/include/url/File_based/forum_urls.php	2011-03-15 15:15:48.808748000 +0000
@@ -81,7 +81,7 @@
 	'unstick'						=>	'unstick$1-$2-$3.html',
 	'moderate_topic'				=>	'moderate$1-$2.html',
 	'admin_index'					=>	'admin/index.php',
-	'admin_bans'					=>	'admin/bans.php',
+	'admin_bans'					=>	'admin/bans.php?sort_by=1',
 	'admin_categories'				=>	'admin/categories.php',
 	'admin_censoring'				=>	'admin/censoring.php',
 	'admin_extensions_manage'		=>	'admin/extensions.php?section=manage',
diff -urN punbb-1.3.4/include/url/File_based_(fancy)/forum_urls.php punbb-1.3.6/include/url/File_based_(fancy)/forum_urls.php
--- punbb-1.3.4/include/url/File_based_(fancy)/forum_urls.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/include/url/File_based_(fancy)/forum_urls.php	2011-03-15 15:15:48.808748000 +0000
@@ -82,7 +82,7 @@
 	'unstick'						=>	'unstick$1-$2-$3.html',
 	'moderate_topic'				=>	'moderate$1-$2.html',
 	'admin_index'					=>	'admin/index.php',
-	'admin_bans'					=>	'admin/bans.php',
+	'admin_bans'					=>	'admin/bans.php?sort_by=1',
 	'admin_categories'				=>	'admin/categories.php',
 	'admin_censoring'				=>	'admin/censoring.php',
 	'admin_extensions_manage'		=>	'admin/extensions.php?section=manage',
diff -urN punbb-1.3.4/include/url/Folder_based/forum_urls.php punbb-1.3.6/include/url/Folder_based/forum_urls.php
--- punbb-1.3.4/include/url/Folder_based/forum_urls.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/include/url/Folder_based/forum_urls.php	2011-03-15 15:15:48.808748000 +0000
@@ -79,7 +79,7 @@
 	'unstick'						=>	'unstick/$1/$2/$3/',
 	'moderate_topic'				=>	'moderate/$1/$2/',
 	'admin_index'					=>	'admin/index.php',
-	'admin_bans'					=>	'admin/bans.php',
+	'admin_bans'					=>	'admin/bans.php?sort_by=1',
 	'admin_categories'				=>	'admin/categories.php',
 	'admin_censoring'				=>	'admin/censoring.php',
 	'admin_extensions_manage'		=>	'admin/extensions.php?section=manage',
diff -urN punbb-1.3.4/include/url/Folder_based_(fancy)/forum_urls.php punbb-1.3.6/include/url/Folder_based_(fancy)/forum_urls.php
--- punbb-1.3.4/include/url/Folder_based_(fancy)/forum_urls.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/include/url/Folder_based_(fancy)/forum_urls.php	2011-03-15 15:15:48.808748000 +0000
@@ -80,7 +80,7 @@
 	'unstick'						=>	'unstick/$1/$2/$3/',
 	'moderate_topic'				=>	'moderate/$1/$2/',
 	'admin_index'					=>	'admin/index.php',
-	'admin_bans'					=>	'admin/bans.php',
+	'admin_bans'					=>	'admin/bans.php?sort_by=1',
 	'admin_categories'				=>	'admin/categories.php',
 	'admin_censoring'				=>	'admin/censoring.php',
 	'admin_extensions_manage'		=>	'admin/extensions.php?section=manage',
diff -urN punbb-1.3.4/index.php punbb-1.3.6/index.php
--- punbb-1.3.4/index.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/index.php	2010-04-26 13:16:57.056559000 +0000
@@ -347,7 +347,8 @@
 ?>
 <div id="brd-online" class="gen-content">
 	<h3 class="hn"><span><?php printf($lang_index['Currently online'], implode($lang_index['Online stats separator'], $forum_page['online_info'])) ?></span></h3>
-<?php if (!empty($users)): ?>	<p><?php echo implode($lang_index['Online list separator'], $users) ?></p>
+<?php if (!empty($users)): ?>
+	<p><?php echo implode($lang_index['Online list separator'], $users) ?></p>
 <?php endif; ($hook = get_hook('in_new_online_data')) ? eval($hook) : null; ?>
 </div>
 <?php
diff -urN punbb-1.3.4/lang/English/admin_index.php punbb-1.3.6/lang/English/admin_index.php
--- punbb-1.3.4/lang/English/admin_index.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/lang/English/admin_index.php	2011-03-07 17:48:15.946640000 +0000
@@ -7,7 +7,7 @@
 'Alerts'						=>	'Administrator Alerts',
 'Check for updates enabled'		=>	'This board is setup to automatically check for updates and hotfixes against the punbb.informer.com updates service.',
 'Check for updates manual'		=>	'Check for updates',	// Link text
-'Copyright message'				=>	'&copy; 2008-2009 <a href="http://punbb.informer.com/">PunBB</a>, partially based on code &copy; 2008-2009 <a href="http://fluxbb.org/">FluxBB</a>',
+'Copyright message'				=>	'&copy; 2008-2011 <a href="http://punbb.informer.com/">PunBB</a>, partially based on code &copy; 2008-2009 <a href="http://fluxbb.org/">FluxBB</a>',
 'PunBB version'					=>	'PunBB version',
 'Not available'					=>	'Not available',
 'Not applicable'				=>	'N/A',
diff -urN punbb-1.3.4/lang/English/admin_reindex.php punbb-1.3.6/lang/English/admin_reindex.php
--- punbb-1.3.4/lang/English/admin_reindex.php	2009-04-02 13:49:40.888484000 +0000
+++ punbb-1.3.6/lang/English/admin_reindex.php	2009-09-11 12:54:44.894739000 +0000
@@ -14,8 +14,8 @@
 'Starting post info'		=>	'The post ID to start rebuilding at. The default value is the first available ID in the database. Normally you would not want to change this.',
 'Empty index'				=>	'Empty index',
 'Empty index info'			=>	'Empty search index before rebuilding (see below).',
-'Rebuilding index title'	=>	'Rebuilding search index &#8230;',
-'Rebuilding index'			=>	'Rebuilding index &#8230; This might be a good time to put on some coffee :-)',
+'Rebuilding index title'	=>	'Rebuilding search index…',
+'Rebuilding index'			=>	'Rebuilding index… This might be a good time to put on some coffee :-)',
 'Processing post'			=>	'Processing post <strong>%s</strong> in topic <strong>%s</strong>.',
 'Javascript redirect'		=>	'JavaScript redirect unsuccessful.',
 'Click to continue'			=>	'Click here to continue',
diff -urN punbb-1.3.4/lang/English/admin_settings.php punbb-1.3.6/lang/English/admin_settings.php
--- punbb-1.3.4/lang/English/admin_settings.php	2009-03-19 13:05:44.739174000 +0000
+++ punbb-1.3.6/lang/English/admin_settings.php	2011-03-08 14:18:36.173584000 +0000
@@ -24,7 +24,7 @@
 'Setup timeouts'				=>	'Default timeouts and redirect delay',
 'Setup timeouts legend'			=>	'Timeout defaults',
 'Visit timeout label'			=>	'Visit timeout',
-'Visit timeout help'			=>	'Seconds idle before last visit data is updated',
+'Visit timeout help'			=>	'Seconds idle before user is logged out',
 'Online timeout label'			=>	'Online timeout',
 'Online timeout help'			=>	'Seconds idle before being removed from the online users list',
 'Redirect time label'			=>	'Redirect wait',
@@ -51,7 +51,7 @@
 'Setup links legend'			=>	'Menu items',
 'Enter links label'				=>	'Enter your links',
 'Error no board title'			=>	'You must enter a board title.',
-'Error timeout value'			=>	'The value of "Timeout online" must be smaller than the value of "Timeout visit".',
+'Error timeout value'			=>	'The value of "Online timeout" must be smaller than the value of "Visit timeout".',
 
 
 // Features section
@@ -78,7 +78,7 @@
 'Guest posting'					=>	'Guest posting',
 'Guest posting label'			=>	'Guests must supply e-mail addresses when posting.',
 'User has posted'				=>	'User has posted',
-'User has posted label'			=>	'Display a dot in front of topics to indicate to a user that they have posted in that topic earlier. Disable if you are experiencing high server load.',
+'User has posted label'			=>	'Display a dot in front of topics to indicate to a user that they have posted in that topic earlier. Disable if you are experiencing high server load. Ignore for SQLite.',
 'Topic views'					=>	'Topic views',
 'Topic views label'				=>	'Keep track of the number of views a topic has. Disable if you are experiencing high server load in a busy forum.',
 'User post count'				=>	'User post count',
@@ -164,7 +164,7 @@
 'Allow form e-mail label'		=>	'Hide e-mail address but allow e-mail via the forum.',
 'Disallow form e-mail label'	=>	'Hide e-mail address and disallow e-mail via the forum.',
 'Registration rules'			=>	'Forum rules (enable and compose forum rules)',
-'Registration rules info'		=>	'You may require new users to agree to a set of rules when registering. The rules will always be available through a link in the navigation table at the top of every page. You may enable the use of rules and then compose your rules below.',
+'Registration rules info'		=>	'You may require new users to agree to a set of rules when registering. The rules will always be available through a link in the navigation menu at the top of every page. You may enable the use of rules and then compose your rules below.',
 'Registration rules legend'		=>	'Forum rules',
 'Require rules'					=>	'Use rules',
 'Require rules label'			=>	'Users must agree to forum rules before registering.',
@@ -196,7 +196,7 @@
 
 // Maintenance section
 'Maintenance head'				=>	'Setup maintenance message and activate maintenance mode',
-'Maintenance mode info'			=>	'<strong>IMPORTANT!</strong> Putting the board into maintenance mode means it will only be available to administrators. This should be used if the board needs to taken down temporarily for maintenance.',
+'Maintenance mode info'			=>	'<strong>IMPORTANT!</strong> Putting the board into maintenance mode means it will only be available to administrators. This should be used if the board needs to be taken down temporarily for maintenance.',
 'Maintenance mode warn'			=>	'<strong>WARNING!</strong> DO NOT LOGOUT when the board is in maintenance mode. You will not be able to login again.',
 'Maintenance legend'			=>	'Maintenance',
 'Maintenance mode'				=>	'Maintenance mode',
diff -urN punbb-1.3.4/lang/English/admin_users.php punbb-1.3.6/lang/English/admin_users.php
--- punbb-1.3.4/lang/English/admin_users.php	2008-11-09 17:45:53.188568000 +0000
+++ punbb-1.3.6/lang/English/admin_users.php	2011-03-18 16:36:40.073416000 +0000
@@ -76,6 +76,7 @@
 'Ban admin message'				=>	'One of the selected users is an administrator and can\'t be banned. If you want to ban an administrator, you must first move him/her to any other user group.',
 'Users banned'					=>	'Users banned.',
 'Mass ban info'					=>	'You may set a message to be displayed to the banned users and set the date their bans are to expire.',
+'Ban settings legend'			=> 	'Ban users',
 'Change group head'				=>	'Move the selected users to a new group',
 'User groups updated'			=>	'User groups updated.',
 'Move users legend'				=>	'Move users',
diff -urN punbb-1.3.4/lang/English/common.php punbb-1.3.6/lang/English/common.php
--- punbb-1.3.4/lang/English/common.php	2009-05-20 09:09:23.853589000 +0000
+++ punbb-1.3.6/lang/English/common.php	2011-03-16 08:43:12.218330000 +0000
@@ -50,7 +50,7 @@
 'Unanswered topics title'	=>	'Find topics which have not been replied to.',
 'Username'					=>	'Username',
 'Registered'				=>	'Registered',
-'Write message'				=>	'Write message:',
+'Write message'				=>	'Write message',
 'Forum'						=>	'Forum',
 'Posts'						=>	'Posts',
 'Pages'						=>	'Pages',
@@ -87,6 +87,8 @@
 'Info separator'			=>	' ', // e.g. 1 Page | 10 Topics
 'Powered by'				=>	'Powered by <strong>%s</strong>, supported by <strong>%s</strong>.',
 'Maintenance'				=>	'Maintenance',
+'Installed extension'		=>	'The %s official extension is installed. Copyright &copy; 2003&ndash;2011 <a href="http://punbb.informer.com/">PunBB</a>.',
+'Installed extensions'		=>	'Currently installed <span id="extensions-used" title="%s">%s official extensions</span>. Copyright &copy; 2003&ndash;2011 <a href="http://punbb.informer.com/">PunBB</a>.',
 
 // CSRF confirmation form
 'Confirm'					=>	'Confirm',	// Button
diff -urN punbb-1.3.4/lang/English/install.php punbb-1.3.6/lang/English/install.php
--- punbb-1.3.4/lang/English/install.php	2009-04-16 09:17:55.964004000 +0000
+++ punbb-1.3.6/lang/English/install.php	2009-06-22 07:25:43.638326000 +0000
@@ -84,7 +84,6 @@
 'Default language help'		=>	'(If you remove a language pack you must update this setting)',
 'Default announce heading'	=>	'Sample announcement',
 'Default announce message'	=>	'<p>Enter your announcement here.</p>',
-'Default maint message'		=>	"The forums are temporarily down for maintenance. Please try again in a few minutes.<br />\\n<br />\\n/Administrator",
 'Default rules'				=>	'Enter your rules here.',
 'Default category name'		=>	'Test category',
 'Default forum name'		=>	'Test forum',
diff -urN punbb-1.3.4/lang/English/mail_templates/welcome.tpl punbb-1.3.6/lang/English/mail_templates/welcome.tpl
--- punbb-1.3.4/lang/English/mail_templates/welcome.tpl	2008-10-23 07:49:10.614178000 +0000
+++ punbb-1.3.6/lang/English/mail_templates/welcome.tpl	2011-03-10 08:17:54.093958000 +0000
@@ -1,10 +1,12 @@
 Subject: Welcome to <board_title>!
 
-Thank you for registering in the forums at <base_url>. Your username on the forums is <username>, as you requested. To complete your registration, you need to set a password for your account.
+Thank you for registering in the forums at <base_url>. Your username on the forums is <username>, as you requested.
+
+To complete your registration, you need to set a password for your account. It must be done in 72 hours, or else your account will be deleted.
 
 To set your password, please visit the following page:
 <activation_url>
 
--- 
+--
 <board_mailer>
-(Do not reply to this message)
\ No newline at end of file
+(Do not reply to this message)
diff -urN punbb-1.3.4/lang/English/misc.php punbb-1.3.6/lang/English/misc.php
--- punbb-1.3.4/lang/English/misc.php	2008-11-26 12:46:21.982537000 +0000
+++ punbb-1.3.6/lang/English/misc.php	2011-03-06 19:42:33.404961000 +0000
@@ -27,6 +27,8 @@
 'Report post'				=>	'Report post',
 'Reason'					=>	'Reason',
 'Reason help'				=>	'Enter a short reason why you are reporting this post.',
+'Too long reason'			=>	'Your report length is %s bytes. This exceeds the %s bytes limit.',
+'Report errors'				=>	'<strong>Warning!</strong> The following errors must be corrected before your report can be sending:',
 
 // Subscriptions
 'Already subscribed'		=>	'You are already subscribed to this topic.',
diff -urN punbb-1.3.4/lang/English/profile.php punbb-1.3.6/lang/English/profile.php
--- punbb-1.3.4/lang/English/profile.php	2009-04-09 09:06:21.838077000 +0000
+++ punbb-1.3.6/lang/English/profile.php	2011-03-10 08:17:54.093958000 +0000
@@ -216,7 +216,7 @@
 'Reg complete'				=>	'Registration complete. Logging in and redirecting…',
 'Register errors'			=>	'<strong>Warning!</strong> The following errors must be corrected before you can register:',
 'E-mail info'				=>	'<strong>Important!</strong> An e-mail will be sent to your new address with an activation link. You must click the link in the e-mail you receive to activate the new address. You must therefore ensure that you enter a valid and current e-mail address.',
-'Reg e-mail info'			=>	'<strong>Important!</strong> An e-mail with an activation link will be sent to the address you provide. You must click the link in the e-mail in order to activate your new account. You must therefore ensure that you enter a valid and current e-mail address.',
+'Reg e-mail info'			=>	'<strong>Important!</strong> An e-mail with an activation link will be sent to the address you provide. You must click the link in the e-mail in order to activate your new account. It must be done in 72 hours after registration, or else your account will be deleted.',
 'Register at'				=>	'Register at %s',
 'Register intro'			=>	'Registration enables you to use features not available when browsing the board as a guest. The fields below only make up a small part of all the settings you can alter in your profile. If you have any questions regarding this forum you should ask an administrator. Please complete the form below in order to register.',
 'Username'					=>	'Username',
@@ -253,5 +253,6 @@
 'Username too short'		=>	'Usernames must be at least 2 characters long. Please choose another (longer) username.',
 'Signature quote/code'		=>	'The quote and code BBCodes are not allowed in signatures.',
 'Invalid e-mail'			=>	'The e-mail address you entered is invalid.',
+'Signature quote/code/list'	=>	'Signature may not contain of the text formatting tags (BBCode) [quote], [code] or [list]. Please choose another tags or delete it.',
 
 );
diff -urN punbb-1.3.4/login.php punbb-1.3.6/login.php
--- punbb-1.3.4/login.php	2009-04-17 12:51:23.967251000 +0000
+++ punbb-1.3.6/login.php	2011-03-04 16:41:48.188338000 +0000
@@ -433,7 +433,7 @@
 <?php ($hook = get_hook('li_login_pre_remember_me_checkbox')) ? eval($hook) : null; ?>
 				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
 					<div class="sf-box checkbox">
-						<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="save_pass" value="1" /></span>
+						<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="save_pass" value="1" <?php echo isset($_POST['save_pass']) ? 'checked="checked" ' : '' ?>/></span>
 						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_login['Remember me'] ?></span> <?php echo $lang_login['Persistent login'] ?></label>
 					</div>
 				</div>
